
%define plugin	archive
%define name	vdr-plugin-%plugin
%define version	0.0.2
%define rel	15

Summary:	VDR plugin: Multimedia-Archive
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://schwatke.net/
Source:		vdr-%plugin-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi
Requires(pre):	rpm-helper

%description
Multimedia-Archive plugin for Klaus Schmidinger's Video Disc
Recorder.

%prep
%setup -q -n %plugin-%version
rm scripts/new_entry scripts/sort_archive

%build
%vdr_plugin_build
cd scripts
g++ %optflags -o new_entry new_entry.cc
g++ %optflags -o sort_archive sort_archive.cc

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}/%plugin
install -m755 scripts/new_entry %{buildroot}%{_vdr_plugin_cfgdir}/%plugin
install -m755 scripts/sort_archive %{buildroot}%{_vdr_plugin_cfgdir}/%plugin
touch %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}/archive

%clean
rm -rf %{buildroot}

%post
%create_ghostfile %{_vdr_plugin_cfgdir}/%{plugin}/archive vdr vdr 644
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY
%attr(-,vdr,vdr) %dir %{_vdr_plugin_cfgdir}/%{plugin}
%{_vdr_plugin_cfgdir}/%{plugin}/new_entry
%{_vdr_plugin_cfgdir}/%{plugin}/sort_archive
%attr(644,vdr,vdr) %ghost %{_vdr_plugin_cfgdir}/%{plugin}/archive




%changelog
* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.2-15mdv2008.1
+ Revision: 145015
- rebuild for new vdr

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.2-14mdv2008.1
+ Revision: 144971
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-13mdv2008.1
+ Revision: 103056
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-12mdv2008.0
+ Revision: 49965
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-11mdv2008.0
+ Revision: 42052
- rebuild for new vdr

* Tue May 15 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-10mdv2008.0
+ Revision: 27091
- rebuild

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.0.2-9mdv2008.0
+ Revision: 22696
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-8mdv2007.0
+ Revision: 90887
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-7mdv2007.1
+ Revision: 73944
- rebuild for new vdr
- Import vdr-plugin-archive

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-6mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-5mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-4mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-3mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-2mdv2007.0
- use _ prefix for system path macros

* Sun Jun 11 2006 Anssi Hannula <anssi@mandriva.org> 0.0.2-1mdv2007.0
- initial Mandriva release

